Issue 123626

Summary: [Enhancement] Better defaults for paste-special cells dialog
Product: Calc Reporter: Andreas Säger <villeroy>
Component: editingAssignee: AOO issues mailing list <issues>
Status: RESOLVED FIXED QA Contact:
Severity: Minor    
Priority: P3 CC: elish, hanya.runo, issues, robert
Version: 4.1.0-dev   
Target Milestone: 4.1.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---
Attachments:
Description Flags
Patch to change the default checked options on paste special dialog none

Description Andreas Säger 2013-11-04 13:05:13 UTC
The paste-special command for Calc cells comes up with "Paste All" and all other options disabled. Well, we call paste-special and not paste because we do not want to paste all so the "Paste All" option is questionable.
Now, when we untick that option, the next default is "everything except numbers". 
Why of all things "Numbers" should be disabled when pasting data from one Calc range in another Calc range?

Suggestion: By default paste-special should paste text, number and date-time which would be the equivalent to Excel's "Paste-Special Values".
Comment 1 Edwin Sharp 2013-11-05 09:12:00 UTC
Paste special has memory - i.e. once you've set the desired elements to paste, they will be remembered next time you paste special.
IMHO enhancement not required.
Comment 2 Andreas Säger 2013-11-05 09:46:20 UTC
The settings are preserved for the current session only. The initial defaults need to be overriden twice. First you turn off "All", then you select what you need which is most certainly not checked by default. 
The defaults confuse new users, sporadic Calc users and (of course) Excel users. 
In short: They make the program look stupid.
Comment 3 robert 2013-11-25 11:57:36 UTC
At one time, not too long ago, Calc remembered the paste special options from one session to another, but no longer. I think restoring that behavior would be the best solution.
Comment 4 Edwin Sharp 2014-01-15 14:07:29 UTC
IMHO comment 3 is not a good idea. A macro can be created for custom paste special.
Comment 5 Andreas Säger 2014-01-17 19:27:30 UTC
Sure, a simple dispatch macro can solve that form me and a couple of other users.

However, it does not solve the problem that by default paste-special does a full paste because by default that silly "All" check box is checked. When you untick this obsolete option you are confronted with another incomprehensive default that may be useful in less than 1% of all practical use cases.

I've filed this issue from the perspective of a "support agent" who answers questions on the user forum every day.
Comment 6 Edwin Sharp 2014-01-18 16:07:01 UTC
Convinced by comment 5.
Comment 7 hanya 2014-01-20 16:28:04 UTC
Created attachment 82322 [details]
Patch to change the default checked options on paste special dialog

According to the reporter's description, the following changes are contained: 
- no Paste all checked by default
- Only Text, Numbers and Data & time are checked by default
Do we need some discussions to apply this change?
Comment 8 Edwin Sharp 2014-01-20 18:18:32 UTC
Thank you hanya

keyword = needhelp for any additional comments
Comment 9 Andreas Säger 2014-01-20 18:57:01 UTC
Thank you very much.
Comment 10 Edwin Sharp 2014-01-23 07:42:56 UTC
No comments -> change can be applied.
Comment 11 SVN Robot 2014-01-23 11:39:28 UTC
"hanya" committed SVN revision 1560642 into trunk:
#i123626# change default for paste special dialog of Calc to Text, Numbers an...
Comment 12 hanya 2014-01-23 12:28:22 UTC
Fixed.